Subject: bug#12112: 24.1.50; Starting emacs without dbus

From: Michael Albinus <[email-masked]>
Date: Tue, 07 Aug 2012 16:17:56 +0200

Harald Hanche-Olsen <[email-masked]> writes:

> This can be achieved in the current code by compiling emacs with these
> configure flags: --without-dbus --without-gsettings --without-gconf
> However, this is very difficult to discover without extensive trial
> and error. If this could be documented some place, it would be good.
> Or perhaps the configure script should have an option that is
> equivalent to this combination?

I have documented this in INSTALL. Since it is not widely used for
compilation, I don't believe it needs another configure option.

> It would be even more desirable if the goal of running without dbus
> could be achieved without a specially compiled binary. I know of just
> one way to achieve that:
>
>   DISPLAY= emacs --daemon
>   emacsclient -c ...
>
> This works because emacs does not launch dbus if it does not have
> DISPLAY set in its environment. Perhaps that might be documented, too.

This could be documented in the Emacs manual, chapter Emacs Server. Or ...

> Yet another possibility: A special startup flag to stop emacs from
> launching dbus, perhaps by unsetting DISPLAY in its own environment
> during startup, then resetting it after all the code that might
> conceivably launch dbus has run. (This may not be practical.)

... we add a new command line option for Emacs "--no-dbus", which
prevents initialization in init_gsettings(), init_gconf() (both in
xsettings.c) as well as any action in dbusbind.c.

What do people think? Stefan, Chong?

> - Harald

Best regards, Michael.